var data=[
		{
			'id':'1',
			'name':'套餐升级'
		},{
			'id':'2',
			'name':'产品调查'
		},{
			'id':'3',
			'name':'满意度调查'
		},{
			'id':'4',
			'name':'回访调查'
		}
		]
		var rightCon=[{
			'id':'1',
			'fenlei':'满意度调查',
			'type':'单选题',
			'title':'吊查对我们是否满意',
			'content':'A满意B不满意C基本满意D很满意'
		},{
			'id':'2',
			'fenlei':'产品调查',
			'type':'多选题',
			'title':'我们是否满意',
			'content':'A满意B不满意C基本满意D很满意'
		},{
			'id':'3',
			'fenlei':'回访调查',
			'type':'多选题',
			'title':'我们是否满意',
			'content':'1满意2不满意3基本满意4很满意'
		}
		]
		//左边表格
		var $tableLeft=$('#tbl');
		var $tableRight=$('#tbr');
		$tableLeft.bootstrapTable({
			 data: data,         //请求后台的URL（*）
            method: 'get', 
            contentType: 'application/x-www-form-urlencoded',
			pagination: true,
			pageNumber: 1,                       //初始化加载第一页，默认第一页
            pageSize: 10,                       //每页的记录行数（*）
            pageList: [10, 25, 50, 100] //可供选择的每页的行数（*）
            //showRefresh: true   //刷新按钮
		});
		 function setCode(val,row,index){
            return ''+index+'';
        }
		var leftAdd=$('.leftAdd');
		var leftDelete=$('.leftDelete');
		//左侧删除事件
		leftDelete.click(function () {
        var ids = $.map($tableLeft.bootstrapTable('getSelections'), function (row) {
            return row.id;
            
        });
        if (ids.length <=0 ) {
            alert("请选择要删除元素!");
            return;
        }
       $tableLeft.bootstrapTable('remove', {
            field: 'id',
          values: ids
        });
    });
    //左侧修改
    var leftChange=$('.leftChange');
    leftChange.click(function(){
    		var oldNames; //旧名字
			var newName; //新名字
    	var names=$.map($tableLeft.bootstrapTable('getSelections'), function (row) {
            return row.name;
        });
        oldNames = names.toString();
				console.log(oldNames);
				if(names.length <= 0) {
					alert("请选择一行修改!");
					return;
				}
				$('.lchan').css('display', 'block');
				$("#leftOld").val(oldNames);
				$('.changeCun').click(function(){
					if($('#leftNew').val()==''){
						alert('请输入修改后的信息！')
						
					}else{
						//向后台发送请求
						newName= $('#leftNew').val();
						$.ajax({
							type: "",
							url: "",
							dataType: 'json',
//							contentType: "application/json",
							async: true,
							data:{
								oldname: oldNames,
								newname: newName
							},
							success: function(data) {
								/*验证请求*/
								if(成功) {
									alert("修改成功");
									$('.lchan').css('display', 'none');
									$("#leftNew").val('');
									window.location.reload();
								} else {
									alert("修改失败");
								}
							}
						})
					}
				})
    })
    
    //左侧添加按钮
	leftAdd.click(function(){
		$('.lad').css('display','block');
	})
	var addCun=$('.box .addCun');
	addCun.click(function () {
		    var nam=$('.lad .box input').val();
		    if($('.lad .box input').val()==''){
                alert('请输入试题类型');
            }else{
	        var index = $tableLeft.bootstrapTable('getData').length;
	        $tableLeft.bootstrapTable('insertRow', {
	            index: index[0],
	            row: {
	                id: '',
	                name: nam
	            }
	        });
	        $('.lad').css('display','none');
	        $('.lad .box input').val('');
	        }
	    });
		/*获取选中左边行对象*/
		$tableLeft.on("click-row.bs.table", function(e, row, ele) {
				var Name;
				Name = row.name;
				console.log(Name);
			});
	//=======================右边表格开始=========================================
		var rightAdd=$('.rightAdd');//添加按钮
		var rightDelete=$('.rightDelete');//删除按钮
	
		//右边表格
		$tableRight.bootstrapTable({
			 data: rightCon,         //请求后台的URL（*）
            method: 'get',      
			pagination: true,
			contentType: 'application/x-www-form-urlencoded',
			pageNumber: 1,                       //初始化加载第一页，默认第一页
            pageSize: 10,                       //每页的记录行数（*）
            pageList: [10, 25, 50, 100] //可供选择的每页的行数（*）
            //showRefresh: true   //刷新按钮
		});
		//右侧删除
		rightDelete.click(function () {
        var ids = $.map($tableRight.bootstrapTable('getSelections'), function (row) {
            return row.id;
        });
        if (ids.length <=0 ) {
            alert("请选择要删除元素!");
            return;
        }
       $tableRight.bootstrapTable('remove', {
	        field: 'id',
	        values: ids
        });
    });
    //右侧添加按钮
		$('.rightAdd').click(function(){
			  	$('.rad').css('display','block');
		})
		//关闭弹框按钮
       $('.rbtr').click(function(){
       	$('.rad').css('display','none');
       })
       //试题分类下拉框
	   var stfl=$('#flsel option:selected').text();
	     $('.rbtl .tps').html(stfl);
	    $('#flsel').change(function(){
	    	  var stfl=$('#flsel option:selected').text();
	          $('.rbtl .tps').html(stfl);
	          console.log(stfl);
	    })
	    //增加弹出框里的表格
	    var aaa=[
	    {
	    	'id':'1',
	    	'name':'不满意',
	    	'sort':'升降'
	    },
	    {
	    	'id':'2',
	    	'name':'不满意',
	    	'sort':'升降'
	    },
	    {
	    	'id':'3',
	    	'name':'不满意',
	    	'sort':'升降'
	    },
	    {
	    	'id':'4',
	    	'name':'不满意',
	    	'sort':'升降'
	    },
	    {
	    	'id':'5',
	    	'name':'不满意',
	    	'sort':'升降'
	    },
	    ]
    var rzTable=$('#rzTable');
	    rzTable.bootstrapTable({
				data: aaa,         //请求后台的URL（*）
	            method: 'get',   
	            contentType: 'application/x-www-form-urlencoded',
				pagination: true,
				pageNumber: 1,                       //初始化加载第一页，默认第一页
	            pageSize: 5,//每页的记录行数（*）
//	            pageList: [5, 25, 50, 100] //可供选择的每页的行数（*）
			});
		
		   $('#lxsel').change(function(){
		   	 var lxsel=$('#lxsel option:selected').text();//试题类型
		   	 if(lxsel!='问答题'){
		   	 	$('.stxx').css('display','block');
		   	 }else{
		   	 		$('.stxx').css('display','none');
		   	 }
	    })

//		   		window.operateEvents = {
//      
//			        'click #remove': function (e, value, row, index) {
//			            rzTable.bootstrapTable('remove', {
//			                field: 'id',
//			                values: [row.id]
//			            });
//			        }
//  			};
    			$('.scsc').click(function(e, value, row, index){
//  			    rzTable.bootstrapTable('remove', {
//			                field: 'id',
//			                values: [row.id]
//			            });
				  alert(2)
    			})

 function ope(val) {
        return '<div>'+
            '<a class="scsc" title="删除">删除</a>'+
//          '<i class="glyphicon glyphicon-remove"></i>'+
            '</div>'
//      [
            
//      ].join('');
    }
  
//id="remove" href="javascript:void(0)" 